> ## Documentation Index
> Fetch the complete documentation index at: https://docs-stage.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Additional Required Documents

> Initiates the process of requesting additional required shipping documents, such as the German Customs EAD document.



## OpenAPI

````yaml api-reference/specs/createadditionalrequireddocuments.yaml POST /additional-required-documents
openapi: 3.0.3
info:
  title: CreateAdditionalRequiredDocuments
  version: 1.0.0
  x-scaled-review: true
  description: >-
    Used to initiate the process of requesting additional required shipping
    document such as the German Customs EAD document. This API does not return
    the document itself, rather it initiates the process to receive the document
    from the authorities, for example the EAD document from German Customs,
    using SendAdditionalRequiredDocumentsToMerchant (Global-e to Merchant).
servers:
  - url: https://api-{merchantName}-{environmentName}.global-e.com
    variables:
      merchantName:
        default: merchantName
        description: The merchant name segment of the Global-e API host.
      environmentName:
        default: environmentName
        description: The environment name segment of the Global-e API host.
security: []
tags:
  - name: CreateAdditionalRequiredDocuments
    x-page-title: Create Additional Required Documents
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Orders'
paths:
  /additional-required-documents:
    post:
      tags:
        - CreateAdditionalRequiredDocuments
      summary: CreateAdditionalRequiredDocuments
      description: >-
        Used to initiate the process of requesting additional required shipping
        document such as the German Customs EAD document. This API does not
        return the document itself, rather it initiates the process to receive
        the document from the authorities, for example the EAD document from
        German Customs, using SendAdditionalRequiredDocumentsToMerchant
        (Global-e to Merchant).
      operationId: createAdditionalRequiredDocuments
      parameters:
        - name: MerchantGUID
          in: header
          required: false
          schema:
            type: string
          description: MerchantGUID (optional).
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAdditionalRequiredDocumentsRequest'
            example:
              Orders:
                - OrderId: GE123874638GB
                  TrackingNumbers:
                    - trackingnumber1
                    - trackingnumber2
      responses:
        '200':
          description: Indicates if an API call was successful or not and why.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseInfo'
              example:
                Success: true
        '202':
          description: >-
            Successful request - request was accepted, and document will be
            provided when ready.
        '400':
          description: >-
            Error - the request not successful, incorrect data was sent by the
            merchant. Reasons for failure: OrderId was not provided by Merchant,
            or an OrderId was provided that does not belong to the Merchant.
            TrackingNumbers field was not provided by the merchant, or a
            tracking number was provided that does not belong to the order.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorInfo'
              example:
                Code: B001
                Message: Order ID not found
                Description: The Order GE12345US provided by the merchant does not exist.
        5XX:
          description: >-
            Error - the request not successful due to an internal error on
            Global-e side.
      security:
        - {}
        - bearerAuth: []
components:
  schemas:
    CreateAdditionalRequiredDocumentsRequest:
      type: object
      required:
        - Orders
      properties:
        Orders:
          type: array
          description: >-
            Array of OrderInfoForAdditionalDocuments objects with information
            about orders for which additional shipping documents are required.
          items:
            $ref: '#/components/schemas/OrderInfoForAdditionalDocuments'
    ResponseInfo:
      type: object
      title: ResponseInfo
      description: Indicates if an API call was successful or not and why.
      properties:
        Success:
          type: boolean
          description: >-
            Indicates if the call was successful. TRUE - Call was successful.
            FALSE - Call not successful. ErrorInfo will be returned.
        Reason:
          type: string
          description: Text that optionally describes the reason for Success status.
    ErrorInfo:
      type: object
      title: ErrorInfo
      properties:
        Code:
          type: string
          description: The error code
        error:
          type: string
          description: The error message
        Description:
          type: string
          description: The error description
    OrderInfoForAdditionalDocuments:
      type: object
      title: OrderInfoForAdditionalDocuments
      required:
        - OrderId
        - TrackingNumbers
      properties:
        OrderId:
          type: string
          description: >-
            A unique ID of the order. The merchant ID, or the order ID given by
            Global-e.
        TrackingNumbers:
          type: array
          description: >-
            Array of the tracking numbers for which the shipping documents are
            required. The tracking numbers were returned during order processing
            from a previous call to GetShippingDocuments
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT (optional).

````